#!/usr/bin/perl -w
#########################################################################
# linejoin.pl
# Join selected lines to a single line of output.
#
# Version 0.03 (beta), 2004-09-12
# Copyright (c) 2004 Michael Winkelmann, michael@weltretter.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#########################################################################

=pod

=head1 NAME

linejoin.pl - Join diffent lines of a Voynich manuscript transcription
to a single line.

=head1 SYNOPSIS

C<perl linejoin.pl [file-specification]>

If no file specification is given on the command line, the program transforms
the standard input. So you can use it in a pipe.

=head1 DESCRIPTION

The linejoin program was written as a helper for the analysis of the 
Fincher windows in the Voynich manuscript. It creates a single long
string of text from its input, which you can analyze for the truncated
repeating sequences, discovered by Marke Fincher.

=head1 BUGS

No known bugs.

=head1 AUTHOR

linejoin.pl was written by Michael Winkelmann, michael@weltretter.de

=cut 

use strict;
use warnings;

while(<>) {
    next if m/^\#/o;
    chomp;
    s/\<[^\>]*\>//go;
    s/^\s+//go;
    s/\s$//go;
    s/[\!\%]//go;
    s/\{[^\}]*\}/./go;
    s/[-=]/./go;
    s/\.{2,}/./go;
    print;
}

