#!/usr/bin/perl

=pod

=head1 NAME

shuffle.pl - Input line shuffler

=head1 SYNOPSIS

C<perl shuffle.pl [files]>

=head1 DESCRIPTION

Shuffle the lines of the given files or the standard input in
random order.

I used this little script to check the voynich manuscript for
randomness.

=cut

@w = ();

while ($l = <>) {
    chomp $l;
    push @w, $l;
}

$wl = $#w;
for ($i = 0; $i < $wl; ++$i)
{
    $j = int(rand($wl));
    ($w[$i], $w[$j]) = ($w[$j], $w[$i]);
}
foreach $l(@w) {
    print "$l\n";
}
