#########################################################################
# vsetting.pm
# The shared settings of all the voynich tools.
#
# Version 0.01 (beta), 2004-08-16
# Copyright (c) 2004 Michael Winkelmann, michael@weltretter.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#########################################################################
#
# This module is a new concept.
#
# It is included by all my non-trivial voynich tools. It 
# centralizes the settings, much like a configuration file. I am 
# afraid of the day, when the transcription filename changes and
# I have to adapt fifty scripts.
#
# It is Perl. If you want to change default paths or filenames, do it
# in this file. All tools are affected immediatly.
#
# If required by someone, this module could be enhanced by reading
# the settings from a configuration file. To me, it seems not
# necessary to do so. Most settings are good and should not be 
# changed, and who want to do it, can do it. 
package vsetting;
use warnings;
use strict;
#
# Predeclare exported variables for the pedantic strict pragma
use vars qw ($evafile $indexfile);
#
# For most configuration settings, there is a default directory given.
# This is prepended by the catfile() function, which is a portable way. 
# In most cases, you have only to change the directory settings.
use File::Spec::Functions;
#
# The data files
my $data_directory  = 'data';
$evafile            = catfile($data_directory, 'text16e6.evt');
$indexfile          = catfile($data_directory, 'vindex.idx');
#
# End of the module
1;
